Đến nội dung


Hình ảnh
- - - - -

Lisp move và Stretch đối tượng lưu lại giá trị khoảng cách ???


  • Please log in to reply
2 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 11 April 2010 - 03:01 PM

Em muốn có lisp move và Stretch đối tượng mà nó lưu lại giá trị Move đi như sau :
Giả sử Move đối tượng A đi b đơn vị. Khi muốn move đối tượng B đi b đơn vị thì ta chỉ việc chọn đối tượng B và không phaỉ nhập khoảng cách b nữa. Như thế tiện hơn rất nhiều ! Thanks các bác Pro
  • 0
Hoàng Giang

#2 hoaletrang

hoaletrang

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 11 April 2010 - 09:07 PM

Em muốn có lisp move và Stretch đối tượng mà nó lưu lại giá trị Move đi như sau :
Giả sử Move đối tượng A đi b đơn vị. Khi muốn move đối tượng B đi b đơn vị thì ta chỉ việc chọn đối tượng B và không phaỉ nhập khoảng cách b nữa. Như thế tiện hơn rất nhiều ! Thanks các bác Pro

Không khả thi lắm vì có phải lúc nào cũng move với 1 giá trị cố định đâu.
Nhưng nếu bạn muốn thì vẫn có thể làm được.
(defun c:MOVEANDSAVE()
(setq SS (ssget)
I -1)
(if (null PtBase)
(setq PtBase (getpoint "\nChon diem goc: ")
PtMove (getpoint "\nChon diem dich: "))
(progn
(setq Meth (getstring "\nCo su dung ket qua cu (Co Khong) :"))
(if (And (/= Meth "") (/= (strcase Meth) "C"))
(setq PtBase (getpoint "\nChon diem goc: ")
PtMove (getpoint "\nChon diem dich: "))
)
)
)
(command "MOVE" SS "" PtBase PtMove)
)

  • 0

#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 April 2010 - 05:01 AM

Không khả thi lắm vì có phải lúc nào cũng move với 1 giá trị cố định đâu.
Nhưng nếu bạn muốn thì vẫn có thể làm được.

(defun c:MOVEANDSAVE()
(setq SS (ssget)
I -1)
(if (null PtBase)
(setq PtBase (getpoint "\nChon diem goc: ")
PtMove (getpoint "\nChon diem dich: "))
(progn
(setq Meth (getstring "\nCo su dung ket qua cu (Co Khong) :"))
(if (And (/= Meth "") (/= (strcase Meth) "C"))
(setq PtBase (getpoint "\nChon diem goc: ")
PtMove (getpoint "\nChon diem dich: "))
)
)
)
(command "MOVE" SS "" PtBase PtMove)
)

Bác Hoaletrang à ! Thực ra cái lisp của bác ko ổn rùi. Chình vì e bit nó loằng ngoằng 1 chút nên mới post topic lên diễn đàn. Là thế này, Lệnh move của CAD thì mình muốn nhập giá trị move đi hoặc pick điểm cũng được, chính vì thế e muốn bác viết sao cho để khi mình "move và STRETCH" nó chỉ lưu lại giá trị cũ để mình có cần dùng thì không cần nhập vào, Và lệnh của mình cũng giống như CAD, thick pick điểm thì pick điểm, thích nhập khoảng cách vào thì nhập. mình làm sao để lệnh thực hiện sao cho nhanh đúng không bác . Bác chỉnh giúp em nhé !
  • 0
Hoàng Giang